Bug 154256 - Root methods specified with ** do not work correctly
Root methods specified with ** do not work correctly
Status: VERIFIED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@profiler
65fixes2-verified
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 11:18 UTC by Tomas Hurka
Modified: 2009-02-19 22:55 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2008-12-01 11:18:54 UTC
Root classes are not computed correctly If root method is specified with ** wildcard (package and all subpackages) . This will produce incorrect results if lazy 
or eager instrumentation is used. See VisualVM issue https://visualvm.dev.java.net/issues/show_bug.cgi?id=216.
Comment 1 Tomas Hurka 2008-12-01 11:28:18 UTC
Fixed in profiler-main
changeset:   110020:1f4b627ff8c5
user:        Tomas Hurka <thurka@netbeans.org>
date:        Mon Dec 01 12:25:34 2008 +0100
summary:     bugfix #154256, use consistently 'package.' and 'package.*' for root methods.  Convert them from user-friendly format 'package.*' and 
'package.**' as soon as possible

Comment 2 Jiri Sedlacek 2008-12-01 16:46:37 UTC
Verified.
Comment 3 Quality Engineering 2008-12-09 18:36:13 UTC
Integrated into 'main-golden', will be available in build *200812091520* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/1f4b627ff8c5
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #154256, use consistently 'package.' and 'package.*' for root methods.  Convert them from user-friendly format 'package.*' and 'package.**' as soon as possible
Comment 4 pgebauer 2008-12-18 14:48:26 UTC
The fix has been ported into the release65_fixes repository.

http://hg.netbeans.org/release65_fixes/rev/f587bb886473
Comment 5 pgebauer 2009-01-22 14:47:39 UTC
Marked as verified in 65patch2 base on the info from QE.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo